RRDGraph::saveVerbose
RRDUpdater
RRDGraph
PHP Manual

# RRDGraph::setOptions

(PECL rrd >= 0.9.0)

RRDGraph::setOptions — Définit les options d'exportation d'un graphique RRD

### Description

public void RRDGraph::setOptions ( array `$options` )

### Liste de paramètres

`options`

  Liste les options pour la génération de l'image depuis un fichier de base de données RRD. Peut être une liste d'options, ou une liste de chaînes avec des clés pour une meilleure lisibilité. Reportez-vous à la page man du graphique RRD pour une liste des options disponibles.

### Valeurs de retour

Aucune valeur n'est retournée.

### Exemples

Exemple #1 Exemple avec RRDGraph::setOptions()

`<?php
$graphObj->setOptions(array(
"--start" => "920804400",
"--end" => 920808000,
"--vertical-label" => "m/s",
"DEF:myspeed=$rrdFile:speed:AVERAGE",
"CDEF:realspeed=myspeed,1000,*",
"LINE2:realspeed#FF0000"
));
?>`

RRDGraph::saveVerbose
RRDUpdater
RRDGraph
PHP Manual